## -*- coding: utf-8; -*-
## ##############################################################################
## 
## Default master 'view' template for mobile.  Features a basic field list, and
## links to edit/delete the object when appropriate.
## 
## ##############################################################################
<%inherit file="/mobile/base.mako" />

<%def name="title()">${index_title} &raquo; ${instance_title}</%def>

<%def name="page_title()">${h.link_to(index_title, index_url)} &raquo; ${instance_title}</%def>

${form.render()|n}

% if master.has_rows:

    % if master.mobile_rows_creatable and master.rows_creatable_for(instance):
        ## TODO: this seems like a poor choice of names? what are we really testing for here?
        % if master.mobile_rows_creatable_via_browse:
            ${h.link_to(add_item_title, url('mobile.{}.create_row'.format(route_prefix), uuid=instance.uuid), class_='ui-btn ui-corner-all')}
        % endif
        % if master.mobile_rows_quickable:
            ${h.form(url('mobile.{}.quick_row'.format(route_prefix), uuid=instance.uuid))}
            ${h.csrf_token(request)}
            ${h.text('quick_row_entry', placeholder=quick_row_entry_placeholder, autocomplete='off', **{'data-type': 'search', 'data-url': url('mobile.{}.quick_row'.format(route_prefix), uuid=instance.uuid)})}
            ${h.end_form()}
        % endif
    % endif

    <br />
    ${grid.render_complete()|n}
% endif
